## GUPnPFeature GUPnPFeature — ContentDirectory feature |

## Functions

const char * | gupnp_feature_get_name ()
const char * | gupnp_feature_get_version ()
const char * | gupnp_feature_get_object_ids ()

## Types and Values

| GUPnPFeature

## Description

GUPnPFeature respresent a Feature element.

## Functions

### gupnp_feature_get_name ()

    const char *
    gupnp_feature_get_name (GUPnPFeature *feature);

Get the name of the `feature` .

#### Parameters

feature | GUPnPFeature |

#### Returns

The name of the `feature` .

### gupnp_feature_get_version ()

    const char *
    gupnp_feature_get_version (GUPnPFeature *feature);

Get the version of the `feature` .

#### Parameters

feature | GUPnPFeature |

#### Returns

The version of the `feature` .

### gupnp_feature_get_object_ids ()

    const char *
    gupnp_feature_get_object_ids (GUPnPFeature *feature);

Get the object IDs related to the `feature` .

#### Parameters

feature | GUPnPFeature |

#### Returns

The object IDs related to the `feature` .

## Types and Values

### GUPnPFeature

    typedef struct {
            GObject parent;

            GUPnPFeaturePrivate *priv;
    } GUPnPFeature;